import _Symbol_default from "./_Symbol.js";
import isArray_default from "./isArray.js";
import isSymbol_default from "./isSymbol.js";
import _arrayMap_default from "./_arrayMap.js";
var INFINITY = Infinity, symbolProto = _Symbol_default ? _Symbol_default.prototype : void 0, symbolToString = symbolProto ? symbolProto.toString : void 0;
function baseToString(e) {
	if (typeof e == "string") return e;
	if (isArray_default(e)) return _arrayMap_default(e, baseToString) + "";
	if (isSymbol_default(e)) return symbolToString ? symbolToString.call(e) : "";
	var c = e + "";
	return c == "0" && 1 / e == -INFINITY ? "-0" : c;
}
var _baseToString_default = baseToString;
export { _baseToString_default as default };
